import type { Message } from '@genesislcap/foundation-comms';
import { GenesisServerError } from '@genesislcap/foundation-state-machine';
/**
 * AuthError.
 * @public
 */
export declare class AuthError extends GenesisServerError {
    sent?: Message;
    received?: Message;
    constructor(sent?: Message, received?: Message, message?: string);
    hasPasswordExpiredError(): boolean;
}
/**
 * @public
 */
export declare const isAuthError: (error: unknown) => boolean;
//# sourceMappingURL=errors.d.ts.map