import { AuthInfo } from '@genesislcap/foundation-comms';
import { NavigationPhase } from '@microsoft/fast-router';
import { BaseRoute } from '../base';
import { IDP, Settings } from '../types';
export declare class Login extends BaseRoute {
    idps: IDP[];
    selectedIDP: string;
    connectedCallback(): void;
    enter(phase: NavigationPhase<Settings>): void;
    private automaticLogin;
    private attemptBasicLogin;
    protected addStoreBindings(): void;
    get selectedIDPName(): string;
    onClickSSO(): void;
    onLoginSubmit(): Promise<void>;
    login(credentials: AuthInfo): void;
    logout(): void;
    onOpenSocketTest(): void;
    onCloseSocketTest(): void;
    onLoginDetailsTest(): void;
    get submitDisabled(): boolean;
}
//# sourceMappingURL=login.d.ts.map